1. Offer
ANJA Checkout - Mock
  • Checkout
    • Offer
      • Get Offer by Code
        GET
    • Make a payment
      PUT
    • Launch checkout
      GET
    • Track
      PUT
  • Schemas
    • Checkout
      • User
        • Track
      • Offer
  1. Offer

Get Offer by Code

Developing
GET
/api/checkout/offer/{code}

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://petstore-demo.apidog.com/api/checkout/offer/'

Responses

🟢200OK
application/json
Body

Example
{
    "success": true,
    "data": {
        "id": "2b0202d4-8fac-4acd-8fee-c483f69dbf78",
        "code": "Unbranded Wooden Keyboard",
        "name": "Tasty Steel Keyboard",
        "description": "Ergonomic executive chair upholstered in bonded black leather and PVC padded seat and back for all-day comfort and support",
        "product": {
            "id": "32c7231f-fcfe-461d-9e70-7c6f05276055",
            "name": "Gorgeous Frozen Cheese",
            "description": "The Apollotech B340 is an affordable wireless mouse with reliable connectivity, 12 months battery life and modern design",
            "expert": {
                "full_name": "Danielle Turcotte",
                "slug": "",
                "profile_photo": "https://cloudflare-ipfs.com/ipfs/Qmd3W5DuhgHirLHGVixi6V76LhCkZUz6pnFt5AJBiyvHye/avatar/1184.jpg"
            },
            "image_url": "https://loremflickr.com/640/480/abstract"
        },
        "price": 995,
        "payment_methods": [
            {
                "name": "Cartão de crédito",
                "slug": "credit_card",
                "installments": [
                    {
                        "quantity": 7,
                        "value": 994
                    },
                    {
                        "quantity": 5,
                        "value": 786
                    },
                    {
                        "quantity": 2,
                        "value": 954
                    },
                    {
                        "quantity": 7,
                        "value": 146
                    },
                    {
                        "quantity": 4,
                        "value": 833
                    }
                ]
            }
        ]
    }
}
🟠404Record Not Found
Modified at 2023-01-29 05:41:34
Next
Make a payment
Built with